## org.apache.tomcat.util.buf
Class Base64

    java.lang.Object
      org.apache.tomcat.util.buf.Base64

public final class Base64
extends java.lang.Object

This class provides encode/decode for RFC 2045 Base64 as defined by RFC 2045, N. Freed and N. Borenstein. RFC 2045: Multipurpose Internet Mail Extensions (MIME) Part One: Format of Internet Message Bodies. Reference 1996 Available at: http://www.ietf.org/rfc/rfc2045.txt This class is used by XML Schema binary format validation

Version:
  $Revision: 1.3 $ $Date: 2004/02/24 08:50:06 $
Author:
  Jeffrey Rodriguez

Constructor Summary
`Base64()`

Method Summary
`static java.lang.String` `base64Decode(java.lang.String orig)`
`byte[]` `decode(byte[] base64Data)` Decodes Base64 data into octects
`static byte[]` `encode(byte[] binaryData)` Encodes hex octects into Base64

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64

    public Base64()

Method Detail

### encode

    public static byte[] encode(byte[] binaryData)

  Encodes hex octects into Base64

  Parameters:
    `binaryData` - Array containing binaryData
  Returns:
    Encoded Base64 array

### decode

    public byte[] decode(byte[] base64Data)

  Decodes Base64 data into octects

  Returns:
    Array containind decoded data.

### base64Decode

    public static java.lang.String base64Decode(java.lang.String orig)

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.